Skip to main content
GET
/
crm
Search contacts
curl --request GET \
  --url https://api.example.com/crm \
  --header 'Authorization: Bearer <token>'
{
  "result": [
    {
      "item": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "<string>",
        "lastName": "<string>",
        "noShowCount": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "email": "<string>",
        "phoneNumber": "<string>",
        "language": "<string>",
        "tags": [
          "<string>"
        ],
        "notes": "<string>",
        "crmCompanyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "accountOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "additionalData": {}
      },
      "appointments": [
        {}
      ],
      "nextAppointmentIso": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "limit": 123,
  "total": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API Key authentication using Bearer token (format: ak_live_...)

Query Parameters

searchTerm
string

Search by name, email, or phone

tags
string[]

Filter by tags

ownerId
string<uuid>

Filter by account owner user ID

sortBy
enum<string>
Available options:
firstName,
lastName,
email,
createdAt
sortOrder
enum<string>
Available options:
ASC,
DESC
page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

200 - application/json

Paginated list of contacts

result
object[]
required
page
number
required
limit
number
required
total
number
required
totalPages
number
required